if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi
( cd usr/share/icons/hicolor/24x24/apps ; rm -rf fcitx-mcbopomofo.png )
( cd usr/share/icons/hicolor/24x24/apps ; ln -sf org.fcitx.Fcitx5.fcitx-mcbopomofo.png fcitx-mcbopomofo.png )
( cd usr/share/icons/hicolor/32x32/apps ; rm -rf fcitx-mcbopomofo.png )
( cd usr/share/icons/hicolor/32x32/apps ; ln -sf org.fcitx.Fcitx5.fcitx-mcbopomofo.png fcitx-mcbopomofo.png )
( cd usr/share/icons/hicolor/64x64/apps ; rm -rf fcitx-mcbopomofo.png )
( cd usr/share/icons/hicolor/64x64/apps ; ln -sf org.fcitx.Fcitx5.fcitx-mcbopomofo.png fcitx-mcbopomofo.png )
